# __init__.py
# Copyright 2008 Roger Marsh
# Licence: See LICENCE (BSD licence)

"""Chess results database.
"""
from solentware_base.api.constants import (
    BSDDB_MODULE,
    BSDDB3_MODULE,
    DPT_MODULE,
    SQLITE3_MODULE,
    APSW_MODULE,
    )

# Berkeley DB interface module name
_DBRESULTS = 'chessresults.db.resultsdatabase'

# DPT interface module name
_DPTRESULTS = 'chessresults.dpt.resultsdatabase'

# Sqlite3 interface module name
_SQLITE3RESULTS = 'chessresults.sqlite.resultsdatabase'

# apsw interface module name
_APSWRESULTS = 'chessresults.apsw.resultsdatabase'

# Map database module names to application module
APPLICATION_DATABASE_MODULE = {
    BSDDB_MODULE: _DBRESULTS,
    BSDDB3_MODULE: _DBRESULTS,
    SQLITE3_MODULE: _SQLITE3RESULTS,
    APSW_MODULE: _APSWRESULTS,
    DPT_MODULE: _DPTRESULTS,
    }

# Berkeley DB ECF reference data import module name
_DB_ECF_DATA_IMPORT = '..db.ecfdataimport'

# DPT ECF reference data import module name
_DPT_ECF_DATA_IMPORT = '..dpt.ecfdataimport'

# Sqlite3 ECF reference data import module name
_SQLITE3_ECF_DATA_IMPORT = '..sqlite.ecfdataimport'

# apsw ECF reference data import module name
_APSW_ECF_DATA_IMPORT = '..apsw.ecfdataimport'

# Berkeley DB ECF Online Grading Database data import module name
_DB_ECF_OGD_DATA_IMPORT = '..db.ecfogddataimport'

# DPT ECF Online Grading Database data import module name
_DPT_ECF_OGD_DATA_IMPORT = '..dpt.ecfogddataimport'

# Sqlite3 ECF Online Grading Database data import module name
_SQLITE3_ECF_OGD_DATA_IMPORT = '..sqlite.ecfogddataimport'

# apsw ECF Online Grading Database data import module name
_APSW_ECF_OGD_DATA_IMPORT = '..apsw.ecfogddataimport'

# Map database module names to ECF reference data import module
ECF_DATA_IMPORT_MODULE = {
    BSDDB_MODULE: _DB_ECF_DATA_IMPORT,
    BSDDB3_MODULE: _DB_ECF_DATA_IMPORT,
    SQLITE3_MODULE: _SQLITE3_ECF_DATA_IMPORT,
    APSW_MODULE: _APSW_ECF_DATA_IMPORT,
    DPT_MODULE: _DPT_ECF_DATA_IMPORT,
    }

# Map database module names to ECF Online Grading Database data import module
ECF_OGD_DATA_IMPORT_MODULE = {
    BSDDB_MODULE: _DB_ECF_OGD_DATA_IMPORT,
    BSDDB3_MODULE: _DB_ECF_OGD_DATA_IMPORT,
    SQLITE3_MODULE: _SQLITE3_ECF_OGD_DATA_IMPORT,
    APSW_MODULE: _APSW_ECF_OGD_DATA_IMPORT,
    DPT_MODULE: _DPT_ECF_OGD_DATA_IMPORT,
    }

# Berkeley DB known name datasource module name
_DB_KNOWN_NAME = '..db.knownnames'

# DPT known name datasource module name
_DPT_KNOWN_NAME = '..dpt.knownnames'

# Sqlite3 known name datasource module name
_SQLITE3_KNOWN_NAME = '..sqlite.knownnames'

# apsw known name datasource module name
_APSW_KNOWN_NAME = '..apsw.knownnames'

# Map database module names to known name datasource module name
KNOWN_NAME_DATASOURCE_MODULE = {
    BSDDB_MODULE: _DB_KNOWN_NAME,
    BSDDB3_MODULE: _DB_KNOWN_NAME,
    SQLITE3_MODULE: _SQLITE3_KNOWN_NAME,
    APSW_MODULE: _APSW_KNOWN_NAME,
    DPT_MODULE: _DPT_KNOWN_NAME,
    }

APPLICATION_NAME = 'Results'
ERROR_LOG = 'ErrorLog'
