# __init__.py
# Copyright 2011 Roger Marsh
# Licence: See LICENCE (BSD licence)

"""Help files for Results.
"""

import os

ABOUT = 'About'
FILESIZE = 'FileSize'
GUIDE = 'Guide'
ACTIONS = 'Actions'
NOTES = 'Notes'
SAMPLES = 'Samples'
TABLESPECS = 'Tablespecs'

_textfile = {
    ABOUT: ('aboutresults',),
    FILESIZE: ('filesize',),
    GUIDE: ('guide',),
    ACTIONS: ('keyboard',),
    NOTES: ('results',),
    SAMPLES: ('samples',),
    TABLESPECS: ('tablespecs',),
    }

# Usually help files are in .../site_packages/chessresults/help but when running
# an executable generated by py2exe installed by Inno installer this module
# is in .../ChessResults/library.zip/chessresults while the help files are in
# .../ChessResults/help
folder = os.path.dirname(__file__).replace(
    os.path.join('ChessResults', 'library.zip', 'chessresults'),
    'ChessResults')

for k in list(_textfile.keys()):
    _textfile[k] = tuple(
        [os.path.join(folder, '.'.join((n, 'txt'))) for n in _textfile[k]])

del folder, k, os
